<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.0" />
    <PackageReference Include="FluentValidation" Version="11.4.0" />
    <PackageReference Include="JWT" Version="10.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="6.0.8" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="7.0.0" />
    <PackageReference Include="Microsoft.IdentityModel.Tokens" Version="6.25.1" />
    <PackageReference Include="Select.HtmlToPdf.NetCore" Version="22.2.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.2.3" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="DB\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\BCP_MODELS\BCP_MODELS.csproj" />
    <ProjectReference Include="..\BCP_SERVICES\BCP_SERVICES.csproj" />
  </ItemGroup>

</Project>
